Validate email address existence and deliverability.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/email_validation/" \ -H "Content-Type: application/json" \ -d '{ "email": "Enter your email address" }'{ "data": { "free": true, "email": "rotimilab@gmail.com", "reason": "accepted_email", "result": "deliverable", "message": null, "disposable": false }, "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack ChannelDocument Verification with Face POST
Verify document and compare face against provided selfie.
Enrichment POST
Advanced data enrichment and trust scoring service that analyzes contact information, IP addresses, identity documents, device data, and behavioral signals to provide comprehensive risk assessment and trust scores. Pricing is per category selected.